Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.exec
Interface ExecuteStreamHandler

All Known Implementing Classes:
  PumpStreamHandler

    public interface ExecuteStreamHandler

Used by `Execute` to handle input and output stream of subprocesses.

Method Summary
`void` | `setProcessErrorStream(InputStream is)` Install a handler for the error stream of the subprocess.
`void` | `setProcessInputStream(OutputStream os)` Install a handler for the input stream of the subprocess.
`void` | `setProcessOutputStream(InputStream is)` Install a handler for the output stream of the subprocess.
`void` | `start()` Start handling of the streams.
`void` | `stop()` Stop handling of the streams - will not be restarted.

Method Detail

### setProcessInputStream

    void setProcessInputStream(OutputStream os)
                               throws IOException

  Install a handler for the input stream of the subprocess.

  Parameters:
    `os` - output stream to write to the standard input stream of the subprocess
  Throws:
    `IOException`

### setProcessErrorStream

    void setProcessErrorStream(InputStream is)
                               throws IOException

  Install a handler for the error stream of the subprocess.

  Parameters:
    `is` - input stream to read from the error stream from the subprocess
  Throws:
    `IOException`

### setProcessOutputStream

    void setProcessOutputStream(InputStream is)
                                throws IOException

  Install a handler for the output stream of the subprocess.

  Parameters:
    `is` - input stream to read from the error stream from the subprocess
  Throws:
    `IOException`

### start

    void start()
               throws IOException

  Start handling of the streams.

  Throws:
    `IOException`

### stop

    void stop()

  Stop handling of the streams - will not be restarted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.